TechDraw Horizontale Längenbemaßung

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Horizontal and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Horizontal.svg TechDraw Horizontale Längenbemaßung

Menüeintrag
TechDraw → Eine horizontale Abstands-Bemaßung einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
TechDraw Längenbemaßung, TechDraw Vertikale Längenbemaßung


Beschreibung

Das Werkzeug »Horizontale Längenbemaßung« fügt ein horizontales Maß in einer Ansicht hinzu. Die Bemaßung kann zwischen zwei Ecken liegen, die Länge einer Kante oder der horizontale Abstand zwischen zwei Kanten sein. Der Abstand ist zuerst der projizierte Abstand (wie in der Zeichnung dargestellt), aber dieser kann unter Verwendung des TechDraw Dimension Link.svg Bemaßungen verlinken-Werkzeugs zum eigentlichen 3D-Abstand geändert werden.

TechDraw Dimension Horizontal example.png

Längenbemaßung zweier beliebiger Knoten der Ansicht, der Abstand wird in horizontaler Richtung gemessen


Anwendung

  1. Punkte oder Kanten auswählen, die für die Abmessung benötigt werden.
  2. Auf die Schaltfläche Techdraw Dimension Horizontal.png Eine horizontale Abstands-Bemaßung einfügen klicken.
  3. Die Bemaßung wird in die Ansicht eingefügt. Sie kann anschließend an die gewünschte Position gezogen werden.

Begrenzungen

Bemaßungsobjekte sind anfällig für Probleme mit "topological naming". Weitere Informationen gibt es unter dem Werkzeug Längenbemaßung.

Eigenschaften

Diese Funktion hat die gleichen Eigenschaften wie das Werkzeug TechDraw Horizontale Längenbemassung. Weitere Angaben stehen auf der genannten Seite des Werkzeugs.

Programmierung

Siehe auch: TechDraw API und FreeCAD Scripting Basics.

Das Werkzeug Horizontale Längenbemaßung kann sowohl in Makros als auch aus der Python Konsole heraus mittels folgender Funktion angesprochen werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)